SplFileObject::fgetcsv
SplFileObject::fgetss
SplFileObject
PHP Manual

# SplFileObject::fgets

(PHP 5 >= 5.1.0)

SplFileObject::fgets — Gets line from file

### Description

public string SplFileObject::fgets ( void )

Gets a line from the file.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the next line from the file, or `FALSE` on error.

### Errors/Exceptions

Throws a RuntimeException if the file cannot be read.

### Examples

Example #1 SplFileObject::fgets example

This example simply outputs the contents of file.txt line-by-line.

`<?php
$file = new SplFileObject("file.txt");
while (!$file->eof()) {
echo $file->fgets();
}
?>`

### See Also

- fgets() - Gets line from file pointer
- SplFileObject::fgetss - Gets line from file and strip HTML tags
- SplFileObject::fgetc - Gets character from file
- SplFileObject::current - Retrieve current line of file

SplFileObject::fgetcsv
SplFileObject::fgetss
SplFileObject
PHP Manual